Skip to content

POST /api/admin/spool-compact/v1

Info

This page was generated by extracting information from a JSON Schema data file for the API. It may be missing some information, or otherwise suggest approximate or placeholder values based on information in the schema file; this is due to limitations on how that data is extracted from the underlying Rust code and into the JSON Schema, and then again from there and into these docs.

Force a flush and major compaction of the named spool.

This API endpoint is used by the kcli spool-compact command. Primarily intended for operational diagnostics and integration tests. For rocksdb-backed spools this performs a flush of the memtable followed by a full-keyspace compaction. For other spool kinds it is a no-op.

Returns an error if the named spool is not defined, or if the underlying storage reports an error (for example, a missing or corrupt SST file encountered during compaction).

Request Body

The request body is required.

The Content-Type header must be set to application/json.

This is an object value, with the following properties:

  • name - required string. Name of the spool to compact, matching a kumo.define_spool name.

Examples

{
  "name": "string"
}

Responses

Status 200

Compaction completed successfully